# Ubuntu build definitions
#TOP=/home/SMCDev/SMC/mpp2
ARCH=Ubuntu
KRFSTYPE=3.0
SRCPARENT=$(shell readlink -f $(TOP)/..)
CORBA_INSTALL=/home/SMCDev/omniORB/$(ARCH)
CC=gcc
CXX=g++
CXXFLAGSSTD=-Wall -c -fmessage-length=0 -fPIC -fexceptions

ifeq ($(BUILDTYPE),Release)
	CXXFLAGSSTD := $(CXXFLAGSSTD) -O3
else
	CXXFLAGSSTD := $(CXXFLAGSSTD) -O0 -g
endif

CORBAMODULES=COS4 COSDynamic4 omniCodeSets4 omniConnectionMgmt4 omniDynamic4 omniORB4 omnithread
LFLAGSLIB=-shared -fPIC -fexceptions
LFLAGSSTD=-lrt
LINKER=g++
OMNIIDL=$(TOP)/omniidl-$(ARCH)
CORBALFLAGS=-L$(CORBA_INSTALL)/lib -l$(CORBAMODULES)
CORBACFLAGS=-I$(CORBA_INSTALL)/include -I$(CORBA_INSTALL)/include/COS
LOCALCFLAGS=
CRYPTOCFLAGS=-I/usr/include/nss -I/usr/include/nspr
CRYPTOLIBS=nss3
LUACFLAGS=-I/usr/include/lua5.1
LUALIBS=lua5.1
EVENTLIBIDLGENERATED=$(TOP)/EventLib-Gen/$(ARCH)
SMACIDLGENERATED=$(TOP)/SMACIdl-Gen/$(ARCH)
IDLCFLAGS0=-I$(SMACIDLGENERATED)
IDLCFLAGS=$(IDLCFLAGS0) -I$(EVENTLIBIDLGENERATED)
BOOSTLIBS=boost_date_time boost_filesystem boost_serialization boost_signals boost_system boost_thread
BOOSTROOT=/usr/local/boost/1.54.0
BOOSTFLAGS=-I $(BOOSTROOT)/include
BOOSTLFLAGS=-L $(BOOSTROOT)/lib -l$(BOOSTLIBS)-mt

CXXFLAGSSTD := $(CXXFLAGSSTD) $(BOOSTFLAGS)

UTILFLAGS=-lutil
#JSONSRC=$(SRCPARENT)/libjson
#JSONCFLAGS=-I$(JSONSRC) -I$(JSONSRC)/_internal/Dependencies/libbase64++ -I$(JSONSRC)/_internal/Dependencies/mempool++ -I$(JSONSRC)/_internal/Source
#JSONLFLAGS=-ljson
JSONSRC=$(SRCPARENT)/jsoncpp
JSONCFLAGS=-I$(JSONSRC)/include
JSONLFLAGS=-L$(JSONSRC)/libs/linux-gcc-4.6 -ljson_linux-gcc-4.6_libmt
CURLLFLAGS=-lcurl

